
Katello - Bug #23912

subscription changes to a content host are not audited

06/13/2018 06:21 AM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category:    

Target version: Katello 3.12.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1590320 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/749
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1590320

Description of problem:

whenever subscriptions for a host change, there's no audit record created.

Version-Release number of selected component (if applicable):

6.4.0-7

Steps to Reproduce:

1. have a content host registered to a satellite

2. add a subscription to the host, then remove it

3. check audits page

Actual results:

the actions are not audited

Expected results:

subscription-related actions on host are audited

Related issues:

Related to Katello - Feature #22053: Audit Katello objects/resources Resolved 12/21/2017

Related to Foreman - Refactor #23933: Audit - Update set_taxonomies method Closed 06/14/2018

Associated revisions

Revision 88c1fb4c - 04/22/2019 03:43 PM - Kavita Gaikwad

Fixes #23912 - audit subscription changes for content host (#7494)

Fixes #23912 - audit subscription changes for content host

Refs #23912 - manually audit for subscription attach/remove

Refs #23912 - host_ids to audited_changes instead sub_facet_ids

History

#1 - 06/13/2018 06:27 AM - Kavita Gaikwad

- Related to Feature #22053: Audit Katello objects/resources added

#2 - 06/13/2018 06:54 AM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#3 - 06/13/2018 05:44 PM - Justin Sherrill

- translation missing: en.field_release set to 338
#4 - 06/14/2018 09:59 AM - Kavita Gaikwad

- Related to Refactor #23933: Audit - Update set_taxonomies method added

#5 - 07/03/2018 01:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7494 added

#6 - 08/01/2018 06:27 PM - Jonathon Turel

- Target version changed from Katello 3.7.0 to Katello 3.9.0

#7 - 10/10/2018 06:13 PM - Zach Huntington-Meath

- Target version changed from Katello 3.9.0 to Katello 3.10.0

#8 - 11/29/2018 12:31 PM - Christine Fouant

- Target version changed from Katello 3.10.0 to Katello 3.11.0

#9 - 01/23/2019 06:52 PM - John Mitsch

- Target version changed from Katello 3.11.0 to Katello 3.12.0

#10 - 04/22/2019 04:01 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset katello|88c1fb4c41c37f84fa023ef9b8f6b05413ca6172.
